/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdePositionAnotherName;

/**
 * 单表生成DAO接口
 * 
 * @author tangwc
 * @version 2018-05-30
 */
@Repository
public class MdePositionAnotherNameDao extends BaseDao {

	// 获取所有职位
	public List<MdePositionAnotherName> getAllPositionAnotherName() {
		return super.select("MdePositionAnotherNameMapper.getAllPositionAnotherName");
	}

	// 根据职位类型，职位名称 查找记录
	public List<MdePositionAnotherName> getPositionRecord(Map<String, Object> map) {
		return super.select("MdePositionAnotherNameMapper.getPositionRecord",map);
	}
	
	public int insert(MdePositionAnotherName mdePositionAnotherName) {
		return super.insert("MdePositionAnotherNameMapper.insert",mdePositionAnotherName);
	}

	public List<MdePositionAnotherName> getAllAliasNameOfPosition() {
		return super.select("MdePositionAnotherNameMapper.getAllAliasNameOfPosition");
	}
}